<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Report extends Model
{
    
    use SoftDeletes;
    
    protected $fillable = ['comment','user_id', 'channel_id','reason_id'];
    public function user(){
        return $this->belongsTo('App\User','user_id')->withTrashed();
    }
    public function channel(){
        return $this->belongsTo('App\Channel','channel_id')->withTrashed();
    }
}
